<?php
class ControllerShippingLivrariOnline extends Controller {
	private $error = array(); 
	
	public function index() {
		$this->install();
		$this->load->language('shipping/livrarionline');
			
		$this->document->setTitle($this->language->get('heading_title'));


		$this->load->model('setting/setting');
				
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('livrarionline', $this->request->post);
					
			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect($this->url->link('extension/shipping', 'token=' . $this->session->data['token'], 'SSL'));
		}
		
		$this->data['heading_title'] = $this->language->get('heading_title');
		
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_yes'] = $this->language->get('text_yes');
		$this->data['text_no'] = $this->language->get('text_no');
		$this->data['entry_securitate'] = $this->language->get('entry_securitate');
		$this->data['entry_services'] = $this->language->get('entry_services');
		$this->data['entry_puncte_ridicare'] = $this->language->get('entry_puncte_ridicare');
		$this->data['entry_delete_service'] = $this->language->get('entry_delete_service');
		$this->data['entry_delete_punct_ridicare'] = $this->language->get('entry_delete_punct_ridicare');
		$this->data['entry_add_service'] = $this->language->get('entry_add_service');
		$this->data['entry_add_punct_ridicare'] = $this->language->get('entry_add_punct_ridicare');
		$this->data['entry_parametri_national'] = $this->language->get('entry_parametri_national');
		$this->data['entry_parametri_exceptii'] = $this->language->get('entry_parametri_exceptii');
		$this->data['entry_add_exceptii'] = $this->language->get('entry_add_exceptii');
		$this->data['entry_punct_ridicare'] = $this->language->get('entry_punct_ridicare');
		$this->data['entry_denumire_punct_ridicare'] = $this->language->get('entry_denumire_punct_ridicare');

		$this->data['entry_email_punct_ridicare'] = $this->language->get('entry_email_punct_ridicare');
		$this->data['entry_nume_punct_ridicare'] = $this->language->get('entry_nume_punct_ridicare');
		$this->data['entry_prenume_punct_ridicare'] = $this->language->get('entry_prenume_punct_ridicare');
		$this->data['entry_telefon_punct_ridicare'] = $this->language->get('entry_telefon_punct_ridicare');
		$this->data['entry_telefon_mobil_punct_ridicare'] = $this->language->get('entry_telefon_mobil_punct_ridicare');
		$this->data['entry_adresa_punct_ridicare'] = $this->language->get('entry_adresa_punct_ridicare');
		$this->data['entry_oras_punct_ridicare'] = $this->language->get('entry_oras_punct_ridicare');
		$this->data['entry_zipcode_punct_ridicare'] = $this->language->get('entry_zipcode_punct_ridicare');

        $this->data['entry_status'] = $this->language->get('entry_status');
        $this->data['entry_loginid'] = $this->language->get('entry_loginid');
        $this->data['entry_key'] = $this->language->get('entry_key');
        $this->data['entry_statusawb'] = $this->language->get('entry_statusawb');
        $this->data['entry_statusawb_select'] = $this->language->get('entry_statusawb_select');
        $this->data['entry_national'] = $this->language->get('entry_national');
		$this->data['entry_exceptie'] = $this->language->get('entry_exceptie');
		$this->data['entry_denumire_serviciu'] = $this->language->get('entry_denumire_serviciu');
		$this->data['entry_id_serviciu'] = $this->language->get('entry_id_serviciu');
		$this->data['entry_id_shipping_company'] = $this->language->get('entry_id_shipping_company');
		$this->data['entry_county'] = $this->language->get('entry_county');
		$this->data['entry_county_select'] = $this->language->get('entry_county_select');

		$this->data['entry_pret_fix_livrare'] = $this->language->get('entry_pret_fix_livrare');
		$this->data['entry_denumire_pret_fix_livrare'] = $this->language->get('entry_denumire_pret_fix_livrare');

		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

		if (isset($this->error['loginid'])) {
			$this->data['error_loginid'] = $this->error['loginid'];
		} else {
			$this->data['error_loginid'] = '';
		}

		if (isset($this->error['key'])) {
			$this->data['error_key'] = $this->error['key'];
		} else {
			$this->data['error_key'] = '';
		}

		if (isset($this->error['statusawb'])) {
			$this->data['error_statusawb'] = $this->error['statusawb'];
		} else {
			$this->data['error_statusawb'] = '';
		}

  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_shipping'),
			'href'      => $this->url->link('extension/shipping', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('shipping/livrarionline', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('shipping/livrarionline', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/shipping', 'token=' . $this->session->data['token'], 'SSL');

		if (isset($this->request->post['livrarionline_status'])) {
			$this->data['livrarionline_status'] = $this->request->post['livrarionline_status'];
		} else {
			$this->data['livrarionline_status'] = $this->config->get('livrarionline_status');
		}

		if (isset($this->request->post['livrarionline_loginid'])) {
			$this->data['livrarionline_loginid'] = $this->request->post['livrarionline_loginid'];
		} else {
			$this->data['livrarionline_loginid'] = $this->config->get('livrarionline_loginid');
		}
		
		if (isset($this->request->post['livrarionline_key'])) {
			$this->data['livrarionline_key'] = $this->request->post['livrarionline_key'];
		} else {
			$this->data['livrarionline_key'] = $this->config->get('livrarionline_key');
		}

		if (isset($this->request->post['livrarionline_statusawb'])) {
			$this->data['livrarionline_statusawb'] = $this->request->post['livrarionline_statusawb'];
		} else {
			$this->data['livrarionline_statusawb'] = $this->config->get('livrarionline_statusawb');
		}

		//national
		if (isset($this->request->post['livrarionline_denumire_serviciu_national'])) {
			$this->data['livrarionline_denumire_serviciu_national'] = $this->request->post['livrarionline_denumire_serviciu_national'];
		} else {
			$this->data['livrarionline_denumire_serviciu_national'] = $this->config->get('livrarionline_denumire_serviciu_national');
		}

		if (isset($this->request->post['livrarionline_id_serviciu_national'])) {
			$this->data['livrarionline_id_serviciu_national'] = $this->request->post['livrarionline_id_serviciu_national'];
		} else {
			$this->data['livrarionline_id_serviciu_national'] = $this->config->get('livrarionline_id_serviciu_national');
		}

		if (isset($this->request->post['livrarionline_id_shipping_company_national'])) {
			$this->data['livrarionline_id_shipping_company_national'] = $this->request->post['livrarionline_id_shipping_company_national'];
		} else {
			$this->data['livrarionline_id_shipping_company_national'] = $this->config->get('livrarionline_id_shipping_company_national');
		}
		
		if (isset($this->request->post['livrarionline_pretfix_national'])) {
			$this->data['livrarionline_pretfix_national'] = $this->request->post['livrarionline_pretfix_national'];
		} else {
			$this->data['livrarionline_pretfix_national'] = $this->config->get('livrarionline_pretfix_national');
		}

		if (isset($this->request->post['livrarionline_denumire_pretfix_national'])) {
			$this->data['livrarionline_denumire_pretfix_national'] = $this->request->post['livrarionline_denumire_pretfix_national'];
		} else {
			$this->data['livrarionline_denumire_pretfix_national'] = $this->config->get('livrarionline_denumire_pretfix_national');
		}

		//exceptii
		if (isset($this->request->post['livrarionline_denumire_serviciu_custom'])) {
			$this->data['livrarionline_denumire_serviciu_custom'] = $this->request->post['livrarionline_denumire_serviciu_custom'];
		} else {
			$this->data['livrarionline_denumire_serviciu_custom'] = $this->config->get('livrarionline_denumire_serviciu_custom');
		}

		if (isset($this->request->post['livrarionline_id_serviciu_custom'])) {
			$this->data['livrarionline_id_serviciu_custom'] = $this->request->post['livrarionline_id_serviciu_custom'];
		} else {
			$this->data['livrarionline_id_serviciu_custom'] = $this->config->get('livrarionline_id_serviciu_custom');
		}

		if (isset($this->request->post['livrarionline_id_shipping_company_custom'])) {
			$this->data['livrarionline_id_shipping_company_custom'] = $this->request->post['livrarionline_id_shipping_company_custom'];
		} else {
			$this->data['livrarionline_id_shipping_company_custom'] = $this->config->get('livrarionline_id_shipping_company_custom');
		}

		if (isset($this->request->post['livrarionline_judet'])) {
			$this->data['livrarionline_judet'] = $this->request->post['livrarionline_judet'];
		} else {
			$this->data['livrarionline_judet'] = $this->config->get('livrarionline_judet');
		}

		if (isset($this->request->post['livrarionline_pretfix_custom'])) {
			$this->data['livrarionline_pretfix_custom'] = $this->request->post['livrarionline_pretfix_custom'];
		} else {
			$this->data['livrarionline_pretfix_custom'] = $this->config->get('livrarionline_pretfix_custom');
		}

		if (isset($this->request->post['livrarionline_denumire_pretfix_custom'])) {
			$this->data['livrarionline_denumire_pretfix_custom'] = $this->request->post['livrarionline_denumire_pretfix_custom'];
		} else {
			$this->data['livrarionline_denumire_pretfix_custom'] = $this->config->get('livrarionline_denumire_pretfix_custom');
		}

		//puncte de ridicare
		if (isset($this->request->post['livrarionline_denumire_punct_ridicare'])) {
			$this->data['livrarionline_denumire_punct_ridicare'] = $this->request->post['livrarionline_denumire_punct_ridicare'];
		} else {
			$this->data['livrarionline_denumire_punct_ridicare'] = $this->config->get('livrarionline_denumire_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_email_punct_ridicare'])) {
			$this->data['livrarionline_email_punct_ridicare'] = $this->request->post['livrarionline_email_punct_ridicare'];
		} else {
			$this->data['livrarionline_email_punct_ridicare'] = $this->config->get('livrarionline_email_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_nume_punct_ridicare'])) {
			$this->data['livrarionline_nume_punct_ridicare'] = $this->request->post['livrarionline_nume_punct_ridicare'];
		} else {
			$this->data['livrarionline_nume_punct_ridicare'] = $this->config->get('livrarionline_nume_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_prenume_punct_ridicare'])) {
			$this->data['livrarionline_prenume_punct_ridicare'] = $this->request->post['livrarionline_prenume_punct_ridicare'];
		} else {
			$this->data['livrarionline_prenume_punct_ridicare'] = $this->config->get('livrarionline_prenume_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_telefon_punct_ridicare'])) {
			$this->data['livrarionline_telefon_punct_ridicare'] = $this->request->post['livrarionline_telefon_punct_ridicare'];
		} else {
			$this->data['livrarionline_telefon_punct_ridicare'] = $this->config->get('livrarionline_telefon_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_telefon_mobil_punct_ridicare'])) {
			$this->data['livrarionline_telefon_mobil_punct_ridicare'] = $this->request->post['livrarionline_telefon_mobil_punct_ridicare'];
		} else {
			$this->data['livrarionline_telefon_mobil_punct_ridicare'] = $this->config->get('livrarionline_telefon_mobil_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_adresa_punct_ridicare'])) {
			$this->data['livrarionline_adresa_punct_ridicare'] = $this->request->post['livrarionline_adresa_punct_ridicare'];
		} else {
			$this->data['livrarionline_adresa_punct_ridicare'] = $this->config->get('livrarionline_adresa_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_oras_punct_ridicare'])) {
			$this->data['livrarionline_oras_punct_ridicare'] = $this->request->post['livrarionline_oras_punct_ridicare'];
		} else {
			$this->data['livrarionline_oras_punct_ridicare'] = $this->config->get('livrarionline_oras_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_judet_punct_ridicare'])) {
			$this->data['livrarionline_judet_punct_ridicare'] = $this->request->post['livrarionline_judet_punct_ridicare'];
		} else {
			$this->data['livrarionline_judet_punct_ridicare'] = $this->config->get('livrarionline_judet_punct_ridicare');
		}
		if (isset($this->request->post['livrarionline_zipcode_punct_ridicare'])) {
			$this->data['livrarionline_zipcode_punct_ridicare'] = $this->request->post['livrarionline_zipcode_punct_ridicare'];
		} else {
			$this->data['livrarionline_zipcode_punct_ridicare'] = $this->config->get('livrarionline_zipcode_punct_ridicare');
		}

		$this->template = 'shipping/livrarionline.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
		
 		$this->response->setOutput($this->render());
	}
	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'shipping/livrarionline')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->request->post['livrarionline_loginid']) {
			$this->error['loginid'] = $this->language->get('error_loginid');
		}

		if (!$this->request->post['livrarionline_key']) {
			$this->error['key'] = $this->language->get('error_key');
		}

		if (!$this->request->post['livrarionline_statusawb']) {
			$this->error['statusawb'] = $this->language->get('error_statusawb');
		}
		
		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	}

	// la instalare cream tabela livrarionline
	private function install()
	{
		$this->db->query("CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "livrarionline` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `order_id` int(11) NOT NULL,
          `awb` varchar(50) NOT NULL,
          `date_added` datetime NOT NULL,
          `serviciu` varchar(255) NOT NULL,
          PRIMARY KEY (`id`)
        )");
	}

	public function getAWB()
	{
		$post = $_POST;

		require_once('../catalog/model/shipping/lo/lib/lo.php');

		$lo = new LO();

		$f_request_awb = array();

		//preiau serviciul selectat. Vine de forma 1|2|Denumire, unde 1 este serviciuid si 2 este shipping_company_id, Denumire = denumirea serviciului prin care se trimite coletul
		$serviciu = $post['serviciuid'];
		$serviciu = explode('|',$serviciu);

		$storeid = $post['shops'];

		$f_request_awb['serviciuid'] 						= (int)$serviciu[0];
		$f_request_awb['f_shipping_company_id'] 			= (int)$serviciu[1];
		$f_request_awb['request_data_ridicare'] 			= $post['request_data_ridicare'];
		$f_request_awb['request_ora_ridicare'] 				= $post['request_ora_ridicare'];
		$f_request_awb['request_ora_ridicare_end'] 			= $post['request_ora_ridicare_end'];
		$f_request_awb['request_ora_livrare_sambata'] 		= $post['request_ora_livrare_sambata'];
		$f_request_awb['request_ora_livrare_end_sambata'] 	= $post['request_ora_livrare_end_sambata'];
		$f_request_awb['request_ora_livrare'] 				= $post['request_ora_livrare'];
		$f_request_awb['request_ora_livrare_end'] 			= $post['request_ora_livrare_end'];
		$f_request_awb['descriere_livrare'] 				= $post['descriere_livrare'];
		$f_request_awb['referinta_expeditor'] 				= $post['referinta_expeditor'];
		$f_request_awb['valoare_declarata']					= (float)$post['valoare_declarata'];
		$f_request_awb['ramburs'] 							= (float)$post['ramburs'];
		$f_request_awb['asigurare_la_valoarea_declarata'] 	= $lo->checkboxSelected(isset($post['asigurare_la_valoarea_declarata'])?$post['asigurare_la_valoarea_declarata']:0);
		$f_request_awb['retur_documente'] 					= $lo->checkboxSelected(isset($post['retur_documente'])?$post['retur_documente']:0);
		$f_request_awb['retur_documente_bancare'] 			= $lo->checkboxSelected(isset($post['retur_documente_bancare'])?$post['retur_documente_bancare']:0);
		$f_request_awb['confirmare_livrare'] 				= $lo->checkboxSelected(isset($post['confirmare_livrare'])?$post['confirmare_livrare']:0);
		$f_request_awb['livrare_sambata'] 					= $lo->checkboxSelected(isset($post['livrare_sambata'])?$post['livrare_sambata']:0);
		$f_request_awb['currency'] 							= $post['currency'];
		$f_request_awb['currency_ramburs'] 					= $post['currency_ramburs'];
		$f_request_awb['notificare_email'] 					= $lo->checkboxSelected(isset($post['notificare_email'])?$post['notificare_email']:0);
		$f_request_awb['notificare_sms'] 					= $lo->checkboxSelected(isset($post['notificare_sms'])?$post['notificare_sms']:0);
		$f_request_awb['cine_plateste'] 					= (int)$post['cine_plateste'];
		$f_request_awb['serviciuid'] 						= (int)$post['serviciuid'];
		$f_request_awb['request_mpod'] 						= $lo->checkboxSelected(isset($post['request_mpod'])?$post['request_mpod']:0);

		$denumire_punct_ridicare = $this->config->get('livrarionline_denumire_punct_ridicare');

		$pr_email = $this->config->get('livrarionline_email_punct_ridicare');
		$pr_first_name = $this->config->get('livrarionline_prenume_punct_ridicare');
		$pr_last_name = $this->config->get('livrarionline_nume_punct_ridicare');
		$pr_mobile = $this->config->get('livrarionline_telefon_mobil_punct_ridicare');
		$pr_main_address = $this->config->get('livrarionline_adresa_punct_ridicare');
		$pr_city = $this->config->get('livrarionline_oras_punct_ridicare');
		$pr_state = $this->config->get('livrarionline_judet_punct_ridicare');
		$pr_zip = $this->config->get('livrarionline_zipcode_punct_ridicare');
		$pr_phone = $this->config->get('livrarionline_telefon_punct_ridicare');

		$poz=-1;
		for ($i=0;$i<count($denumire_punct_ridicare);$i++)
		{
			if ($denumire_punct_ridicare[$i] == $storeid)
			{
				$poz = $i;
				break;
			}
		}

		$this->load->model('localisation/zone');
		$county = $this->model_localisation_zone->getZone($pr_state[$poz]);
		$county = $county['name'];

		$f_request_awb['shipFROMaddress'] = array(
		                                            'email'                 => $pr_email[$poz],
		                                            'first_name'            => $pr_first_name[$poz],
		                                            'last_name'             => $pr_last_name[$poz],              
		                                            'mobile'                => $pr_mobile[$poz],
		                                            'main_address'          => $pr_main_address[$poz],
		                                            'city'                  => $pr_city[$poz],
		                                            'state'                 => $county,
		                                            'zip'                   => $pr_zip[$poz],
		                                            'country'               => 'Romania',
		                                            'phone'                 => $pr_phone[$poz],
		                                            'instructiuni'          => ''
		                                        );


		$f_request_post = json_decode(base64_decode($post['f_request_awb']), true);

		$colete = array();

		for ($i=0;$i<count($post['tipcolet']);$i++)
		{
			$colete[] = array(
								'greutate'	=>	(float)$post['greutate'][$i],
								'lungime'	=>	(float)$post['lungime'] [$i],
								'latime'	=>	(float)$post['latime']  [$i],
								'inaltime'	=>	(float)$post['inaltime'][$i],
								'continut'	=>	(int)$post['continut'][$i],
								'tipcolet'	=>	(int)$post['tipcolet'][$i]
							);
		}

		foreach ($f_request_post as $p => $value) {
			$f_request_awb[$p] = $value;
		}

		$f_request_awb['colete'] = $colete;

		//f_login si RSA key vor fi setate in config
		$lo->f_login = (int)$this->config->get('livrarionline_loginid');
		$lo->setRSAKey($this->config->get('livrarionline_key'));

		//generare AWB
		$response_awb = $lo->GenerateAwb($f_request_awb);

		//raspuns generare AWB
		if (isset($response_awb->status) && !empty($response_awb->status) && ($response_awb->status == 'error' || !isset($response_awb->f_awb_collection[0])))
			echo 'error';//$response_awb->message;
		else
		{
			$raspuns = '<p>Coletul trimis prin serviciul <b>'.$serviciu[2].'</b> a primit AWB nr. <b>'.$response_awb->f_awb_collection[0].'</b></p>';

			$this->db->query('INSERT INTO ' . DB_PREFIX . 'livrarionline(order_id,awb,date_added,serviciu) values("'.$post['orders_id'].'","'.$response_awb->f_awb_collection[0].'","'.date('Y-m-d H:i:s').'","'.$serviciu[2].'")');


			$raspuns .= '<form name="form-tracking-awb" id="form-tracking-awb" method="post" action="/modules/lo/ajax/ajax.trackingAWB.php">
							<input type="hidden" name="tawb" id="tawb" value="'.$response_awb->f_awb_collection[0].'"/>
							<input type="hidden" name="f_login" value="'.$this->config->get('livrarionline_loginid').'" />
							<input type="submit" id="tracking-awb" value="Tracking AWB"/>
						</form>';

			$raspuns .= '<form name="form-cancel-awb" id="form-cancel-awb" method="post" action="/modules/lo/ajax/ajax.cancelAWB.php">
							<input type="hidden" name="cawb" id="cawb" value="'.$response_awb->f_awb_collection[0].'"/>
							<input type="hidden" name="f_login" value="'.$this->config->get('livrarionline_loginid').'"/>
							<input type="submit" id="cancel-awb" value="Cancel AWB"/>
						</form>';
			$f_request_print = array('awb'=>$response_awb->f_awb_collection[0]); 
			$raspuns .= $lo->PrintAwb($f_request_print,'','');

			echo $raspuns;
		}

	}

	public function trackingAWB()
	{
		require_once('../catalog/model/shipping/lo/lib/lo.php');

		$rsakey = $this->config->get('livrarionline_key');

		$post = $_POST;

		$lo = new LO();

		$f_request_tracking = array();

		$f_request_tracking['awb'] 			= trim($post['tawb']);

		$lo->f_login = $post['f_login'];
		$lo->setRSAKey($rsakey);

		//tracking
		$response_tracking = $lo->Tracking($f_request_tracking);

		//raspuns TRACKING
		if ( isset($response_tracking->status) && !empty($response_tracking->status) && $response_tracking->status == 'error')
			echo $response_tracking->message;
		else {
			$stare_curenta 	= $response_tracking->f_stare_curenta;
			$istoric 		= $response_tracking->f_istoric;
			$raspuns  = '<h3>Tracking AWB</h3>';
			$raspuns .= '<div><span>'.date('d-m-Y H:i:s',strtotime($stare_curenta->stamp)).'</span> - <span>'.$stare_curenta->stare.'</span></div>';
			foreach ($istoric as $is) {
				$raspuns .= '<div><span>'.date('d-m-Y H:i:s',strtotime($is->stamp)).'</span> - <span>'.$is->stare.'</span></div>';
			}
			echo $raspuns;
		}
	}

	public function cancelAWB()
	{
		require_once('../catalog/model/shipping/lo/lib/lo.php');

		$rsakey = $this->config->get('livrarionline_key');

		$post = $_POST;

		$lo = new LO();

		$f_request_cancel = array();

		$f_request_cancel['awb'] = trim($post['cawb']);

		$lo->f_login = (int)$post['f_login'];
		$lo->setRSAKey($rsakey);

		$response_cancel = $lo->CancelLivrare($f_request_cancel);

		//raspuns CANCEL LIVRARE
		if ( isset($response_cancel->status) && !empty($response_cancel->status) && $response_cancel->status == 'error')
			echo $response_cancel->message;
		else {
			if ($response_cancel->status=="success")
			{
				$stergere = $this->db->query('DELETE FROM ' . DB_PREFIX . 'livrarionline WHERE awb="'.$f_request_cancel['awb'].'"');

				if (!$stergere)
			    	die('Eroare stergere din baza de date');
			}
			echo $response_cancel->status;
		}
	}
}
?>